<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace GlobalOnePay\Payment\Model\Directpost;

use GlobalOnePay\Payment\Model\Response as GlobalOnePayResponse;
use Magento\Framework\Encryption\Helper\Security;

/**
 * GlobalOnePay TPS response model for DirectPost model
 */
class Response extends GlobalOnePayResponse
{
    /**
     * Return if this is approved response from GlobalOnePay TPS auth request.
     *
     * @return bool
     */
    public function isApproved()
    {
        return $this->getXResponseCode() == \GlobalOnePay\Payment\Model\Directpost::RESPONSE_CODE_APPROVED;
    }
}
